const { Cpk } = require("./");
const Livecoinwatch = require("./providers/livecoinwatch.com");

Cpk.useProviders([Livecoinwatch({ apiKey: "8fb06ec3-e12d-455a-8c17-65dc0a8a28d6" })]);

async function Run() {
    // Initialize with config
    const cpk = new Cpk("livecoinwatch.com");

    // Get bitcoin Price and cache for 60 secs by default
    const price = await cpk.get("BTC/USD");
    // or with custom cache time
    const price2 = await cpk.get("BNB/USD", 120); // seconds

    console.log("BTC/USD:", price); // The current price of bitcoin in USD
    console.log("BNB/USD:", price2); // The current price of bitcoin in USD

    // OR
    // GET Many Prices and cache for 60 secs
    const prices = await cpk.getMany(["BTC/USD", "ETH/USD", "BNB/USD"], 60);
    console.log("Many:", prices); // {BTC/USD: price, ETH/USD: price, BNB/USD: price}
}

Run().catch(console.error);
